
export default [
    // {
    //     path: '/test',
    //     name: 'Main',
    //     redirect: '/me',
    //     component: () => import( /* webpackChunkName: "craneMain" */'@/components/layout/Layout.vue'),
    //     children: childrenRoutes
    // },
    
    {
        path: '/',
        name: 'MyAccountPage',
        redirect: '/b2b',
        component: () => import(/* webpackChunkName: "meModule" */ '@/components/retailer/layout/Layout.vue'),
        children: [
            {
                path: 'b2b',
                name: 'AccountDashboard',
                component: () => import(/* webpackChunkName: "meModule" */ '@/routes/retailer/account_dashboard.vue'),
                meta: {
                    breadcrumb: {
                        label: 'Account Dashboard Page',
                    },
                }
            },
            {
                path: 'address-book',
                name: 'AddressBook',
                component: () => import(/* webpackChunkName: "meModule" */ '@/routes/retailer/address_book.vue'),
                meta: {
                    breadcrumb: {
                        label: 'Address Book Page',
                    },
                }
            },
            {
                path: 'address-book/:addressId',
                name: 'EditAddressBook',
                component: () => import(/* webpackChunkName: "meModule" */ '@/routes/retailer/address_book.vue'),
                meta: {
                    breadcrumb: {
                        label: 'Address Book Edit',
                    },
                }
            },
            {
                path: 'edit-account-info/:value',
                name: 'EditAccountInfo',
                component: () => import(/* webpackChunkName: "meModule" */ '@/routes/retailer/edit_account_info.vue'),
                meta: {
                    breadcrumb: {
                        label: 'Edit Account Information Page',
                    },
                }
            },
         
            {
                path: 'my-orders',
                name: 'MyOrders',
                component: () => import(/* webpackChunkName: "meModule" */ '@/routes/retailer/my_orders.vue'),
                meta: {
                    breadcrumb: {
                        label: 'My Orders Page',
                    },
                }
            },
            {
                path: 'my-orders/:orderId',
                name: 'ViewProduct',
                component: () => import(/* webpackChunkName: "meModule" */ '@/routes/retailer/my_orders.vue'),
                meta: {
                    breadcrumb: {
                        label: 'My Orders Item',
                    },
                }
            },
         
            {
                path: 'search',
                name: 'SearchPage',
                component: () => import( /* webpackChunkName: "craneMain-search" */'@/routes/retailer/search_page.vue'),
                meta: {
                    breadcrumb: {
                        label: 'SearchPage Page',
                    },
                }
            },
            
            {
                path: 'logout-success',
                name: 'LogOutSuccess',
                component: () => import( /* webpackChunkName: "craneMain" */'@/routes/retailer/logout_success.vue'),
                meta: {
                    breadcrumb: {
                        label: 'LogOut Success',
                    },
                }
            },
            {
                path: 'maintenance',
                name: 'Maintenance',
                component: () => import( /* webpackChunkName: "craneMain" */'@/routes/retailer/maintenance.vue'),
                meta: {
                    "canonical": true,
                    breadcrumb: {
                        label: 'Maintenance',
                    },
                }
            }, 
            
            {
                path: 'checkout',
                name: 'CheckoutPage',
                component: () => import( /* webpackChunkName: "craneMain-checkout" */'@/routes/retailer/checkout_page.vue'),
                meta: {
                    breadcrumb: {
                        label: 'checkout',
                    },
                }
            },
            {
                path: 'cart-products',
                name: 'CartProducts',
                component: () => import( /* webpackChunkName: "craneMain-cart-products" */'@/routes/retailer/cart_products.vue'),
                meta: {
                    "canonical": true,
                    breadcrumb: {
                        label: 'cart products',
                    },
                }
            },
          
        ]
    },
    {
        path: '*',
        name: 'RouteNotFound',
        component: () => import( /* webpackChunkName: "craneMain" */'@/routes/retailer/route_not_found.vue'),
    }
   
    ]
